A Sandcastle Documented Class Library

# MainWindow
GetRecursiveChildren
T
Method

Gets the recursive children of a parent element that are of type T.

Namespace: butterflow_ui
Assembly: butterflow-ui (in butterflow-ui.exe) Version: 1.0.4.40427 (1.0.0.0)
Syntax
C#
Copy

    private IEnumerable<T> GetRecursiveChildren<T>(
    	Object parent
    )
    where T : DependencyObject

#### Parameters

parent
  Type: System
  Object
  The parent element.

#### Type Parameters

T
  Generic type parameter.

#### Return Value

Type: IEnumerable
T
An enumerator that allows foreach to be used to process the recursive childrens in this collection.
See Also

#### Reference

MainWindow Class
butterflow_ui Namespace